Index: app_meetme.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_meetme.c,v
retrieving revision 1.60.2.2
diff -u -r1.60.2.2 app_meetme.c
--- app_meetme.c	25 Nov 2004 18:27:22 -0000	1.60.2.2
+++ app_meetme.c	15 Feb 2005 17:02:30 -0000
@@ -178,27 +178,40 @@
 	return 0;
 }
 
-static void conf_play(struct ast_conference *conf, int sound)
+static void *play_enter(void *this)
 {
-	unsigned char *data;
-	int len;
+	struct ast_conference *conf = this;
 	ast_mutex_lock(&conflock);
+	careful_write(conf->fd, enter, sizeof(enter));
+	ast_mutex_unlock(&conflock);
+	pthread_exit(NULL);
+}
+
+static void *play_leave(void *this)
+{
+	struct ast_conference *conf = this;
+	ast_mutex_lock(&conflock);
+	careful_write(conf->fd, leave, sizeof(leave));
+	ast_mutex_unlock(&conflock);
+	pthread_exit(NULL);
+}
+
+static void conf_play(struct ast_conference *conf, int sound)
+{
+	pthread_t thread_id;
+	pthread_attr_t attr;
+
+	pthread_attr_init(&attr);
+	pthread_attr_setdetachstate(&attr, PTHREAD_CREATE_DETACHED);
+
 	switch(sound) {
 	case ENTER:
-		data = enter;
-		len = sizeof(enter);
+		ast_pthread_create(&thread_id, &attr, play_enter, conf);
 		break;
 	case LEAVE:
-		data = leave;
-		len = sizeof(leave);
+		ast_pthread_create(&thread_id, &attr, play_leave, conf);
 		break;
-	default:
-		data = NULL;
-		len = 0;
 	}
-	if (data) 
-		careful_write(conf->fd, data, len);
-	ast_mutex_unlock(&conflock);
 }
 
 static struct ast_conference *build_conf(char *confno, char *pin, int make, int dynamic)
@@ -980,7 +993,8 @@
 		}
 	}
 	if (!(confflags & CONFFLAG_QUIET) && !(confflags & CONFFLAG_MONITOR) && !(confflags & CONFFLAG_ADMIN))
-		conf_play(conf, LEAVE);
+		if (conf->users > 1)
+			conf_play(conf, LEAVE);
 
 outrun:
 	ast_mutex_lock(&conflock);
